gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ListBoxRowAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ListBoxRowAccessible = ListBoxRowAccessible (ManagedPtr ListBoxRowAccessible)
- class (GObject o, IsDescendantOf ListBoxRowAccessible o) => IsListBoxRowAccessible o
- toListBoxRowAccessible :: (MonadIO m, IsListBoxRowAccessible o) => o -> m ListBoxRowAccessible

# Exported types

newtype ListBoxRowAccessible Source #

Memory-managed wrapper type.

Constructors

ListBoxRowAccessible (ManagedPtr ListBoxRowAccessible) |

#### Instances

Instances details

Eq ListBoxRowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxRowAccessible Methods (==) :: ListBoxRowAccessible -> ListBoxRowAccessible -> Bool Source # (/=) :: ListBoxRowAccessible -> ListBoxRowAccessible -> Bool Source #
GObject ListBoxRowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxRowAccessible
ManagedPtrNewtype ListBoxRowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxRowAccessible Methods toManagedPtr :: ListBoxRowAccessible -> ManagedPtr ListBoxRowAccessible Source #
TypedObject ListBoxRowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxRowAccessible Methods glibType :: IO GType Source #
HasParentTypes ListBoxRowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxRowAccessible
IsGValue (Maybe ListBoxRowAccessible) Source # | Convert `ListBoxRowAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ListBoxRowAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ListBoxRowAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ListBoxRowAccessible) Source #
type ParentTypes ListBoxRowAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxRowAccessible type ParentTypes ListBoxRowAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component]

class (GObject o, IsDescendantOf ListBoxRowAccessible o) => IsListBoxRowAccessible o Source #

Type class for types which can be safely cast to `ListBoxRowAccessible`, for instance with `toListBoxRowAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ListBoxRowAccessible o) => IsListBoxRowAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxRowAccessible

toListBoxRowAccessible :: (MonadIO m, IsListBoxRowAccessible o) => o -> m ListBoxRowAccessible Source #

Cast to `ListBoxRowAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.